package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CameraInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface CameraInfoService {
	CameraInfo get(String id);
	boolean exist(String id);
	int insert(CameraInfo model);
	int update(CameraInfo model);
	int delete(String id);
	List<CameraInfo> list();
	List<CameraInfo> findBySchoolId(String classId);
	Page<CameraInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

	List<CameraInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

	//查看关联后的班级的摄像头
    List<CameraInfo> findByPersonId(Long classId);
}